1

Why in XFCE you can change the color of themes like Greybird, but when you try to do that for Clearlooks-Phenix the color does not apply in some applications?

2
  • Are you just looking for an explanation or a solution?
    – fixer1234
    Apr 19 '15 at 5:47
  • Explanation, but a solution would give some insight on what is going on. Apr 19 '15 at 5:57
1

The gtk3 part of Clearlooks-Phenix does not work with applications that change the colour of the theme. Applications that were updated to gtk3 won't have the selected colour.

To complete change the colour of Clearlooks-Phenix is necessary to edit the colours in gtk-variant.css and in the images located at the img folder.

0

First of all, clearlooks-phenix github page has already noted in the README.md that you should download and install appropriate version of the theme.

GTK version compatibility

The main reason is, for the theme to be applied correctly, you must use the theme that supports particular version of GTK toolkit in use.

Download the appropriate version according to your situation:

  • for GTK 3.0 and 3.2: download Clearlooks-Phénix v1;

  • for GTK 3.4: download Clearlooks-Phénix v2;

  • for GTK 3.6: download Clearlooks-Phénix v3;

  • for GTK 3.8: download Clearlooks-Phénix v4;

  • for GTK 3.10 and 3.12: download Clearlooks-Phénix v5;

  • for GTK 3.14: download Clearlooks-Phénix v6.

To find your GTK version:

  • You can check in your package manager the version of the package libgtk-3-0.

  • If you use Ubuntu, here's a correspondence between its versions and those of GTK (for a default installation of Ubuntu):

    • Ubuntu 11.10: GTK 3.2

    • Ubuntu 12.04: GTK 3.4

    • Ubuntu 12.10 and 13.04: GTK 3.6

    • Ubuntu 13.10: GTK 3.8

    • Ubuntu 14.04: GTK 3.10

    • Ubuntu 14.10: GTK 3.12

For example, if your host system is running Ubuntu 14.04 (shipped with GTK 3.10), you should download and install Clearlooks-Phénix v5.

GTK support by theme

Why in XFCE you can change the color of themes like Greybird, but when you try to do that for Clearlooks-Phenix the color does not apply in some applications?

Greybird is part of Shimmer Project, that incorporates themes for Xfce. It is also the default theme for the Linux distribution, Xubuntu. The preinstalled applications are usually the most compatible with the default theme, because these have been matched with appropriate GTK version already.

That's why those "some applications" might be using different GTK toolkit version than the rest. Even you upgrade the GTK toolkit version on your system, not every applications in the repository is updated enough to cope with the latest themes.

Even among the themes created under the same project, Greybird has better support for both GTK 2 and GTK 3 when compared to older themes like Bluebird or Albatross. I know this, because I have already experienced with these default themes on Xubuntu 12.04 and 14.04.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.